Package org.eclipse.emf.cdo.explorer.checkouts

# Enum Class CDOCheckout.ObjectType

java.lang.Object
java.lang.Enum<CDOCheckout.ObjectType>
org.eclipse.emf.cdo.explorer.checkouts.CDOCheckout.ObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCheckout.ObjectType>`, `Constable`

Enclosing interface:
  CDOCheckout

public static enum CDOCheckout.ObjectType extends Enum<CDOCheckout.ObjectType>
Enumerates the possible `types` of an `EObject`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`File`
`Folder`
`Object`
`Resource`
`Root`

## Method Summary

Modifier and Type
Method
Description
`static CDOCheckout.ObjectType`
`valueFor(Object object)`
`static CDOCheckout.ObjectType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCheckout.ObjectType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Root

public static final CDOCheckout.ObjectType Root

### Folder

public static final CDOCheckout.ObjectType Folder

### File

public static final CDOCheckout.ObjectType File

### Resource

public static final CDOCheckout.ObjectType Resource

### Object

public static final CDOCheckout.ObjectType Object

## Method Details

### values

public static CDOCheckout.ObjectType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCheckout.ObjectType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueFor

public static CDOCheckout.ObjectType valueFor(Object object)